<script lang="ts" setup>
import HotActivityItem from './hot-activity-item.vue'

const swiperList = [{}]
const item = ref()

onMounted(() => {
  console.log('mounted')
  nextTick(() => {
    console.log('nextTick')
    console.log(item.value)
  })
})
</script>
<template>
  <swiper class="h-60">
    <template v-for="it of swiperList" :key="it.id">
      <swiper-item class="h-60">
        <HotActivityItem ref="item"></HotActivityItem>
      </swiper-item>
    </template>
  </swiper>
  <!-- <wd-swiper :list="swiperList" autoplay>
    <template #default="{ item }">
      <wd-swiper-item>
        <hot-activity-item></hot-activity-item>
      </wd-swiper-item>
    </template>
  </wd-swiper> -->
</template>
